import { RcbConfig } from '../getConfig';
export default function getDevBabelLoader(rcb: RcbConfig): {
    test: RegExp;
    exclude: RegExp[];
    loader: string;
    options: {
        sourceType: string;
        babelrc: boolean;
        configFile: boolean;
        presets: (string | {
            useBuiltIns: string;
            corejs: number;
            exclude: string[];
        })[][];
        plugins: (string | {
            regenerator: boolean;
            corejs: boolean;
            useESModules: boolean;
            helpers: boolean;
        })[][];
        cacheDirectory: boolean;
        cacheCompression: boolean;
        sourceMaps: boolean;
        inputSourceMap: boolean;
    };
};
