"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = __importDefault(require("../utils"));
var paths_1 = __importDefault(require("../paths"));
function getEslintLoader() {
    return {
        test: /\.(js|jsx|tsx|ts|es6)$/,
        loader: require.resolve('eslint-loader'),
        enforce: 'pre',
        options: {
            eslintPath: require.resolve('eslint'),
            resolvePluginsRelativeTo: __dirname,
            baseConfig: utils_1.default.requireModule(require.resolve('../eslintrc'))
        },
        exclude: /node_modules/,
        include: paths_1.default.src
    };
}
exports.default = getEslintLoader;
