"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = __importDefault(require("../utils"));
function getFileLoader(rcb) {
    return ({
        loader: require.resolve('file-loader'),
        exclude: [
            /\.(js|jsx|ts|tsx)$/,
            /\.html$/,
            /\.json$/
        ],
        options: {
            name: utils_1.default.isDev()
                ? 'images/[name].[ext]?[hash]'
                : '/images/[name].[ext]?[hash]',
            esModule: rcb.esModuleImage || false
        }
    });
}
exports.default = getFileLoader;
