"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var FILE_REGEX = /\.(png|gif|jpg|jpeg|bmp|svg)$/;
var utils_1 = __importDefault(require("../utils"));
function getUrlLoader(rcb) {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('url-loader'),
            options: {
                limit: 10000,
                name: utils_1.default.isDev()
                    ? 'images/[name].[ext]?[hash]'
                    : '/images/[name].[ext]?[hash]',
                esModule: rcb.esModuleImage || false
            }
        }
    });
}
exports.default = getUrlLoader;
;
