"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var FILE_REGEX = /\.svg$/;
function getSvgLoader() {
    return ({
        test: FILE_REGEX,
        use: {
            loader: require.resolve('svg-url-loader'),
            options: {
                // make all svg images to work in IE
                iesafe: true
            }
        }
    });
}
exports.default = getSvgLoader;
;
